Bug 492614 - installer miscalculates space available
installer miscalculates space available
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: 493225 493651 494391 495167 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-03-27 14:17 EDT by G.Wolfe Woodbury
Modified: 2009-04-13 10:20 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-31 17:14:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda.log from failed install (77.54 KB, text/plain)
2009-03-31 13:46 EDT, G.Wolfe Woodbury
no flags Details
X.log from failed install (58.14 KB, text/plain)
2009-03-31 13:49 EDT, G.Wolfe Woodbury
no flags Details
program.log from failed install (37.69 KB, application/octet-stream)
2009-03-31 13:50 EDT, G.Wolfe Woodbury
no flags Details
storage.log from failed install (278.46 KB, text/plain)
2009-03-31 13:51 EDT, G.Wolfe Woodbury
no flags Details
anaconda syslog from failed install (40.47 KB, text/plain)
2009-03-31 13:51 EDT, G.Wolfe Woodbury
no flags Details
transcribed error message from failed install (215 bytes, text/plain)
2009-03-31 16:26 EDT, G.Wolfe Woodbury
no flags Details

  None (edit)
Description G.Wolfe Woodbury 2009-03-27 14:17:42 EDT
Description of problem:
 anaconda makes all the way through partitioning and software customization with a split of partitions [root-6G,usr-24G,tmp-5G,var-6G] and customization is a rather full workstation [GNOME,KDE,Development,Office] and should need about 24G total, but errors out with a need for 4.8G more of space.
 previous attempts revealed that usr has about 10G used, and root has 3G.
 I suspect that anaconda is not correctly seeing all the available space.

Version-Release number of selected component (if applicable): (rawhide 20090326)

How reproducible:

Steps to Reproduce:
Actual results:
  anaconda errors out wanting more space

Expected results:
  installation should proceed

Additional info:
  300GB drive with a VG of 290GB and total allocated space of 40GB
Comment 1 Joel Andres Granados 2009-03-30 05:41:07 EDT
Can you pls provide the installation logs.  they are located in /tmp/* during the installation.
Comment 2 G.Wolfe Woodbury 2009-03-31 13:45:57 EDT
providing all logs, it reported needing 25nn MB of space with a 32768 MB root lv provided in custom layout.
Comment 3 G.Wolfe Woodbury 2009-03-31 13:46:53 EDT
Created attachment 337357 [details]
anaconda.log from failed install
Comment 4 G.Wolfe Woodbury 2009-03-31 13:49:47 EDT
Created attachment 337358 [details]
X.log from failed install
Comment 5 G.Wolfe Woodbury 2009-03-31 13:50:27 EDT
Created attachment 337359 [details]
program.log from failed install
Comment 6 G.Wolfe Woodbury 2009-03-31 13:51:06 EDT
Created attachment 337360 [details]
storage.log from failed install
Comment 7 G.Wolfe Woodbury 2009-03-31 13:51:48 EDT
Created attachment 337361 [details]
anaconda syslog from failed install
Comment 8 G.Wolfe Woodbury 2009-03-31 13:53:09 EDT
additionally, attempting to go "back" and resize the lv_root failed with no traceback "filesystem not created"
Comment 9 Chris Lumens 2009-03-31 14:13:38 EDT
I assume this is the message about "You need more space on the following file systems:"?  Which filesystems did it report needing the extra space on?  This checking comes straight from yum (well probably straight from RPM).  anaconda just formats the error message and displays it for you.  I don't think there's anything related to the new storage code at work here.
Comment 10 G.Wolfe Woodbury 2009-03-31 14:32:11 EDT
No, it is not the RPM/YUM you need more space on a given filesystem.

It doesn't mention ANY specific filesystem.

I'm not sure the installer is seeing /any/ filesystems, it is complaining as soon as the "resolving dependencies" progress bar completes.

I'm familiar with the RPM and YUM raw messages, and this is not from either of them.  The only choices are "Back" and "Exit Installer"

If I had a digital camera I'd take a screen shot and attach that, but my camera's seem to have just as much bad luck as recent rawhides.
Comment 11 David Lehman 2009-03-31 15:00:03 EDT
If you can't provide a screenshot, do provide the exact, complete text of the error message.
Comment 12 G.Wolfe Woodbury 2009-03-31 16:26:43 EDT
Created attachment 337402 [details]
transcribed error message from failed install

as stated in the main commentary, it doesn't seem that the system is seeing any of the provided storage.  root-32768MB, /usr-32786MB, /tmp-4096MB, /var-8192MB, /home-32768MB, swap-3072MB   all are lvm LVs created fresh for this installer run.

there is an additional /dump-65532MB new lv and an existing 160GB /store pre-eixting primary partition on a second drive.
Comment 13 Chris Lumens 2009-03-31 17:14:06 EDT
Thanks for the transcription.  This tells me exactly what I need to know.  This should be fixed in the next build of anaconda.
Comment 14 Chris Lumens 2009-04-01 10:37:12 EDT
*** Bug 493225 has been marked as a duplicate of this bug. ***
Comment 15 Chris Lumens 2009-04-02 10:10:20 EDT
*** Bug 493651 has been marked as a duplicate of this bug. ***
Comment 16 Chris Lumens 2009-04-06 13:16:42 EDT
*** Bug 494391 has been marked as a duplicate of this bug. ***
Comment 17 Chris Lumens 2009-04-13 10:20:37 EDT
*** Bug 495167 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.